Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.eviction
Class AopLRUAlgorithm

    java.lang.Object
      org.jboss.cache.eviction.BaseEvictionAlgorithm
          org.jboss.cache.eviction.LRUAlgorithm
              org.jboss.cache.aop.eviction.AopLRUAlgorithm

All Implemented Interfaces:
  EvictionAlgorithm

    public class AopLRUAlgorithm

extends LRUAlgorithm

LRUAlgorithm specific to PojoCache. Overriding couple of hooks to customize the algorithm such that it works correctly when using PojoCache. The basic strategy for the AOP-specific case are:

- When a node is visited, it will check if it is an AOPInstance node. If it is, then it is an AOP node. In that case, we will update all children nodes' time stamp to synchronize with parent node.
- When a node is to be evicted, it will check if it an AOP node. If it is, we will traverse through the children nodes to see if their timestamp is younger. If it is younger, then we must not evict the whol aop node (i.e., parent node is not evicted either). Furthermore, we should synchronize the whole tree.

Author:
  Ben Wang, Feb 17, 2004

Field Summary

Fields inherited from class org.jboss.cache.eviction.BaseEvictionAlgorithm
`evictionQueue, recycleQueue, region`

Constructor Summary
`AopLRUAlgorithm()`

Method Summary

Methods inherited from class org.jboss.cache.eviction.LRUAlgorithm
`evict, getConfiguration, prune, setupEvictionQueue, shouldEvictNode`

Methods inherited from class org.jboss.cache.eviction.BaseEvictionAlgorithm
`emptyRecycleQueue, evictCacheNode, getEvictionQueue, initialize, isNodeInUseAndNotTimedOut, process, processAddedElement, processAddedNodes, processMarkInUseNodes, processQueues, processRemovedElement, processRemovedNodes, processUnmarkInUseNodes, processVisitedNodes, resetEvictionQueue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.cache.eviction.EvictionAlgorithm
`getEvictionQueue, process, resetEvictionQueue`

Constructor Detail

### AopLRUAlgorithm

    public AopLRUAlgorithm()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.